
Device 18F4685

Declare Xtal 16

'--------------------------  LCD -------------------------- 
Declare  LCD_Type       ALPHA       '   -  -
Declare  LCD_DTPin      PORTD.4     '   
Declare  LCD_ENPin      PORTD.3     '   E
Declare  LCD_RSPin      PORTD.2     '   RS
Declare  LCD_Interface  4           '   
Declare  LCD_CommandUs  200         '    
Declare  LCD_DataUs     50          '    
Declare  LCD_Lines      4           '   

TRISA = %11111111	                '  PORTA  
TRISB = %00000000	                ' PORTB  
TRISC = %00000000	                ' PORTC  
TRISD = %00000000	                ' PORTD  
TRISE = %111
ADCON0 = %00000000                  ' ADC off
ADCON1 = %00001111                  '   PORTA- (D)

Dim X As Byte
Dim N As Byte  
N=0
 
Symbol T2400=396
Symbol N2400=396+$4000
Symbol T4800=188
Symbol N4800=188+$4000
Symbol T9600=84
Symbol N9600=84+$4000 

'----------------------------     
START:

Print At 1,1,"Main program work "
DelayMS 200
For X=1 To 20
    Print At 1,X,"*"
    GoSub R_X
    DelayMS 100
Next X
Print At 1,1,"Main program work "
DelayMS 200
For X=20 To 1 Step -1
    Print At 1,X,"*"
    GoSub R_X
    DelayMS 100
Next X
DelayMS 200

GoTo START

'------------------------------
R_X:

SerIn PORTB.0\PORTB.1,N9600,1,NO_TXRX,[N] '   (USART )   PORTD.0(RX),
                                          '   PORTD.1(TX)   .
                                          '      1msec,    NO_TXRX.
Print At 3,1, Dec N,"  "    
Print At 4,1,"   RX-TX"
GoSub T_X
Return

'------------------------------
NO_TXRX:
Print At 4,1,"No RX-TX"
Return

'---------------------------- 
T_X:
SerOut PORTC.0\PORTC.1,N9600,[N]  '   (USART )   PORTC.0(TX),
                                  '   PORTC.1(RX)    .
Return



