
Device 16F877A

Declare Xtal 16

'--------------------------    ------------------------                                                                 
Declare  LCD_Type       ALPHA     '   -  -
Declare  LCD_DTPin      PORTB.4   '   
Declare  LCD_ENPin      PORTB.3   '   E
Declare  LCD_RSPin      PORTB.2   '   RS
Declare  LCD_Interface  4         '   
Declare  LCD_CommandUs  200       '    
Declare  LCD_DataUs     50        '    
Declare  LCD_Lines      4         '   
'----------------------------------------------------------------------                        

TRISB = %00000001                 '    0 
TRISA = %11111111	              '  PORTA  
TRISD = %11111111
TRISE = %111                                       

Dim X As Byte                                                 
Dim N As Byte

Symbol T2400=396
Symbol N2400=396+$4000
Symbol T4800=188
Symbol N4800=188+$4000
Symbol T9600=84
Symbol N9600=84+$4000

'------------------------------
MAIN:

Print At 1,1,"RX program work "
DelayMS 200
For X=1 To 20
    Print At 1,X,"*"
    GoSub R_X   
    DelayMS 100
Next X
Print At 1,1,"RX program work "
DelayMS 200

For X=20 To 1 Step -1
    Print At 1,X,"*"
    GoSub R_X   
    DelayMS 100
Next X
DelayMS 200

GoTo MAIN

'------------------------------
R_X:

SerIn PORTD.0\PORTD.1,N9600,1,NO_TXRX,[N] '   (USART )   PORTD.0(RX),
                                          '   PORTD.1(TX)   .
                                          '      1msec,    NO_TXRX.
Print At 3,1, Dec N,"  "    
Print At 4,1,"   RX"

Return

'------------------------------
NO_TXRX:

Print At 4,1,"No RX"

Return
