
Device 16F877A

Declare Xtal 16
'--------------------------  LCD -------------------------- 

Declare  LCD_Type       ALPHA       '   -  -
Declare  LCD_DTPin      PORTD.4     '   
Declare  LCD_ENPin      PORTD.3     '   E
Declare  LCD_RSPin      PORTD.2     '   RS
Declare  LCD_Interface  4           '   
Declare  LCD_CommandUs  200         '    
Declare  LCD_DataUs     50          '    
Declare  LCD_Lines      4           '   

TRISA = %11111111	                '  PORTA  
TRISE = %111
ADCON1 = %00000110                  '   PORTA- (D)

Dim X As Byte
Dim N As Byte  
N=0
 
Symbol T2400=396
Symbol N2400=396+$4000
Symbol T4800=188
Symbol N4800=188+$4000
Symbol T9600=84
Symbol N9600=84+$4000 

'----------------------------     
START:

Print At 1,1,"TX program work "
DelayMS 200
For X=1 To 20
    Print At 1,X,"*"
    Print At 4,1,"No TX"
    GoSub KEYS
    DelayMS 100
Next X
Print At 1,1,"TX program work "
DelayMS 200
For X=20 To 1 Step -1
    Print At 1,X,"*"
    Print At 4,1,"No TX"
    GoSub KEYS
    DelayMS 100
Next X
DelayMS 200

GoTo START

'----------------------------     
KEYS:

If PORTA.0=0 Then 
    N=5
    GoSub T_X
EndIf
If PORTA.1=0 Then
    N=10
    GoSub T_X
EndIf
If PORTA.2=0 Then 
    N=15
    GoSub T_X
EndIf
If PORTA.3=0 Then 
    N=20
    GoSub T_X
EndIf
Return

'---------------------------- 
T_X:
Print At 3,1, Dec N," "
Print At 4,1,"   TX"
SerOut PORTC.0\PORTC.1,N9600,[N]  '   (USART )   PORTC.0(TX),
                                  '   PORTC.1(RX)    .
Return
